# Uses of Class
org.apache.commons.math3.geometry.euclidean.twod.SubLine

Packages that use SubLine
Package
Description
org.apache.commons.math3.geometry.euclidean.twod
This package provides basic 2D geometry components.

## Uses of SubLine in org.apache.commons.math3.geometry.euclidean.twod

Methods in org.apache.commons.math3.geometry.euclidean.twod that return SubLine
Modifier and Type
Method
Description
`SubLine`
Line.`wholeHyperplane()`
Build a sub-hyperplane covering the whole hyperplane.
Methods in org.apache.commons.math3.geometry.euclidean.twod with parameters of type SubLine
Modifier and Type
Method
Description
`Vector2D`
SubLine.`intersection(SubLine subLine, boolean includeEndPoints)`
Get the intersection of the instance and another sub-line.